com.abbyy.mobile.rtr

## Class IImageCaptureService.Result

- java.lang.Object
- - com.abbyy.mobile.rtr.IImageCaptureService.Result

- Enclosing interface:
    IImageCaptureService

      public static final class IImageCaptureService.Result
      extends java.lang.Object

  Capture result

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer[]` | `BestFrames` the frames with the highest quality collected during capture
    `IImageCaptureService.Status[]` | `BestFramesStatus` the status of the frames with the highest quality
    `android.graphics.Point[]` | `DocumentBoundary` the document boundary for the captured image
    `float` | `DocumentHeight` the document height in millimeters (as specified in setDocumentSize), zero if unknown
    `float` | `DocumentWidth` the document width in millimeters (as specified in setDocumentSize), zero if unknown
    `java.nio.ByteBuffer` | `ImageBuffer` the captured image buffer (in the same format as provided in @link #submitRequestedFrame
    `int` | `ImageHeight` the captured image height
    `int` | `ImageWidth` the captured image width
    `IImageCaptureService.QualityAssessmentForOcrBlock[]` | `qualityAssessmentForOcrBlocks` the quality assessment blocks

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ImageBuffer

          public final java.nio.ByteBuffer ImageBuffer

      the captured image buffer (in the same format as provided in @link #submitRequestedFrame

    - #### ImageWidth

          public final int ImageWidth

      the captured image width

    - #### ImageHeight

          public final int ImageHeight

      the captured image height

    - #### DocumentBoundary

          public final android.graphics.Point[] DocumentBoundary

      the document boundary for the captured image

    - #### DocumentWidth

          public final float DocumentWidth

      the document width in millimeters (as specified in setDocumentSize), zero if unknown

    - #### DocumentHeight

          public final float DocumentHeight

      the document height in millimeters (as specified in setDocumentSize), zero if unknown

    - #### qualityAssessmentForOcrBlocks

          public final IImageCaptureService.QualityAssessmentForOcrBlock[] qualityAssessmentForOcrBlocks

      the quality assessment blocks

    - #### BestFrames

          public final java.nio.ByteBuffer[] BestFrames

      the frames with the highest quality collected during capture

    - #### BestFramesStatus

          public final IImageCaptureService.Status[] BestFramesStatus

      the status of the frames with the highest quality